Update workspace features
PATCH/api/v1/workspaces/{workspace_slug}/features/
Turn features on or off for a workspace.
Path parameters
workspace_slug:requiredstringThe workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.
Body parameters
project_grouping:optionalbooleanWhether project grouping is enabled for the workspace.
initiatives:optionalbooleanWhether initiatives are enabled for the workspace.
teams:optionalbooleanWhether teams are enabled for the workspace.
customers:optionalbooleanWhether customers are enabled for the workspace.
wiki:optionalbooleanWhether the wiki is enabled for the workspace.
pi:optionalbooleanWhether Pi is enabled for the workspace.
Scopes
workspaces.features:write
Update workspace features
bash
curl -X PATCH \
"https://api.plane.so/api/v1/workspaces/my-workspace/features/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"project_grouping": true,
"initiatives": true,
"teams": true,
"customers": true,
"wiki": true,
"pi": true
}'python
import requests
response = requests.patch(
"https://api.plane.so/api/v1/workspaces/my-workspace/features/",
headers={"X-API-Key": "your-api-key"},
json={
"project_grouping": true,
"initiatives": true,
"teams": true,
"customers": true,
"wiki": true,
"pi": true
}
)
print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/features/", {
method: "PATCH",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
project_grouping: true,
initiatives: true,
teams: true,
customers: true,
wiki: true,
pi: true,
}),
});
const data = await response.json();Response200
json
{
"project_grouping": true,
"initiatives": true,
"teams": true,
"customers": true,
"wiki": true,
"pi": true
}
